Package org.h2.value

# Class ValueToObjectConverter

java.lang.Object
org.h2.message.TraceObject
org.h2.value.ValueToObjectConverter

public final class ValueToObjectConverter extends TraceObject
Data type conversion methods between values and Java objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Class<?>`
`GEOMETRY_CLASS`
The Geometry class.

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

## Method Summary

Modifier and Type
Method
Description
`static Class<?>`
`getDefaultClass(int type, boolean forJdbc)`
Get the name of the Java class for the given value type.
`static Value`
`objectToValue(Session session, Object x, int type)`
Convert a Java object to a value.
`static Value`
`readValue(Session session, JdbcResultSet rs, int columnIndex)`
Read a value from the given result set.
`static Object`
`valueToDefaultArray(Value value, JdbcConnection conn, boolean forJdbc)`
Converts the specified array value to array of default Java objects for its type.
`static Object`
`valueToDefaultObject(Value value, JdbcConnection conn, boolean forJdbc)`
Converts the specified value to the default Java object for its type.
`static <T> T`
`valueToObject(Class<T> type, Value value, JdbcConnection conn)`
Converts the specified value to an object of the specified type.

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GEOMETRY_CLASS

public static final Class<?> GEOMETRY_CLASS
The Geometry class. This object is null if the JTS jar file is not in the classpath.

## Method Details

### objectToValue

public static Value objectToValue(Session session, Object x, int type)
Convert a Java object to a value.

Parameters:
  `session` - the session
  `x` - the value
  `type` - the suggested value type, or `Value#UNKNOWN`
Returns:
  the value

### valueToObject

public static <T> T valueToObject(Class<T> type, Value value, JdbcConnection conn)
Converts the specified value to an object of the specified type.

Type Parameters:
  `T` - the type
Parameters:
  `type` - the class
  `value` - the value
  `conn` - the connection
Returns:
  the object of the specified class representing the specified value, or `null`

### getDefaultClass

public static Class<?> getDefaultClass(int type, boolean forJdbc)
Get the name of the Java class for the given value type.

Parameters:
  `type` - the value type
  `forJdbc` - if `true` get class for JDBC layer, if `false` get class for Java functions API
Returns:
  the class

### valueToDefaultObject

public static Object valueToDefaultObject(Value value, JdbcConnection conn, boolean forJdbc)
Converts the specified value to the default Java object for its type.

Parameters:
  `value` - the value
  `conn` - the connection
  `forJdbc` - if `true` perform conversion for JDBC layer, if `false` perform conversion for Java functions API
Returns:
  the object

### valueToDefaultArray

public static Object valueToDefaultArray(Value value, JdbcConnection conn, boolean forJdbc)
Converts the specified array value to array of default Java objects for its type.

Parameters:
  `value` - the array value
  `conn` - the connection
  `forJdbc` - if `true` perform conversion for JDBC layer, if `false` perform conversion for Java functions API
Returns:
  the object

### readValue

public static Value readValue(Session session, JdbcResultSet rs, int columnIndex)
Read a value from the given result set.

Parameters:
  `session` - the session
  `rs` - the result set
  `columnIndex` - the column index (1-based)
Returns:
  the value